com.groupdocs.conversion.converter.option

## Class WatermarkOptions

- java.lang.Object
- - com.groupdocs.conversion.converter.option.WatermarkOptions

-     public final class WatermarkOptions
      extends Object

  Options for settings watermark to the converted document

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WatermarkOptions(String watermarkText)` Create WatermarkOptions class and set watermark text

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getColor()` Watermark font color
    `com.aspose.ms.System.Drawing.Color` | `getColorInternal()`
    `Font` | `getFont()` Watermark font name
    `com.aspose.ms.System.Drawing.Font` | `getFontInternal()`
    `int` | `getHeight()` Watermark height
    `int` | `getLeft()` Watermark left position
    `int` | `getRotationAngle()` Watermark rotation angle
    `String` | `getText()` Watermark text
    `int` | `getTop()` Watermark top position
    `double` | `getTransparency()` Watermark transparency.
    `int` | `getWidth()` Watermark width
    `void` | `setColor(Color value)` Watermark font color
    `void` | `setFont(Font value)` Watermark font name
    `void` | `setHeight(int value)` Watermark height
    `void` | `setLeft(int value)` Watermark left position
    `void` | `setRotationAngle(int value)` Watermark rotation angle
    `void` | `setTop(int value)` Watermark top position
    `void` | `setTransparency(double value)` Watermark transparency.
    `void` | `setWidth(int value)` Watermark width

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WatermarkOptions

          public WatermarkOptions(String watermarkText)

      Create WatermarkOptions class and set watermark text

      Parameters:
        `watermarkText` -

  - ### Method Detail

    - #### getText

          public String getText()

      Watermark text

    - #### getFont

          public Font getFont()

      Watermark font name

    - #### getFontInternal

          public com.aspose.ms.System.Drawing.Font getFontInternal()

    - #### setFont

          public void setFont(Font value)

      Watermark font name

    - #### getColor

          public Color getColor()

      Watermark font color

    - #### getColorInternal

          public com.aspose.ms.System.Drawing.Color getColorInternal()

    - #### setColor

          public void setColor(Color value)

      Watermark font color

    - #### getWidth

          public int getWidth()

      Watermark width

    - #### setWidth

          public void setWidth(int value)

      Watermark width

    - #### getHeight

          public int getHeight()

      Watermark height

    - #### setHeight

          public void setHeight(int value)

      Watermark height

    - #### getTop

          public int getTop()

      Watermark top position

    - #### setTop

          public void setTop(int value)

      Watermark top position

    - #### getLeft

          public int getLeft()

      Watermark left position

    - #### setLeft

          public void setLeft(int value)

      Watermark left position

    - #### getRotationAngle

          public int getRotationAngle()

      Watermark rotation angle

    - #### setRotationAngle

          public void setRotationAngle(int value)

      Watermark rotation angle

    - #### getTransparency

          public double getTransparency()

      Watermark transparency. Value between 0 and 1. Value 0 is fully visible, value 1 is invisible.

    - #### setTransparency

          public void setTransparency(double value)

      Watermark transparency. Value between 0 and 1. Value 0 is fully visible, value 1 is invisible.

Copyright © 2017. All rights reserved.